export default {
	namespaced: true,
	state: {
		// 地区列表
		addressList:[],
		// 平台基本配置
		baseConfig:{},
	},
	mutations: {
		// 更新定位信息
		commitLoactionInfo(state, data) {
			uni.setStorage({
				key: 'locationInfo',
				data
			})
			state.locationInfo = data
		},
		// 更新地址信息
		commitAddressList(state, data) {
			console.log(data);
			state.addressList = data;
		},
		// 更新运费配置信息
		commitBaseConfig(state, data) {
			console.log(data);
			state.baseConfig = data;
		},
	},
	actions: {
		// 获取用户定位信息
		getLoaction() {}
	}
}
